import { OctokitAndOptions } from '../shared/options/readOptions.js';
import 'octokit';
import 'zod';
import '../shared/types.js';
import '../shared/codes.js';

declare function createWithOptions({ octokit, options }: OctokitAndOptions, repositoryDirectory: string): Promise<{
    sentToGitHub: boolean | undefined;
}>;

export { createWithOptions };
