import { Options } from '../../../shared/types.js';
import 'zod';
import '../../../shared/codes.js';

declare function createRootFiles(options: Options): Promise<{
    "vitest.config.ts"?: string | undefined;
    "package.json": string;
    "tsconfig.json": string;
    "tsup.config.ts": string;
    "knip.json"?: string | undefined;
    "cspell.json"?: string | undefined;
    "LICENSE.md": string;
    ".release-it.json"?: string | undefined;
    ".nvmrc": string;
    ".prettierignore": string;
    ".prettierrc.json": string;
    ".markdownlint.json"?: string | undefined;
    ".markdownlintignore"?: string | undefined;
    ".all-contributorsrc": string;
    ".gitignore": string;
    "eslint.config.js": string;
}>;

export { createRootFiles };
