import { base } from "./base.js";
import { presetCommon } from "./presets/presetCommon.js";
import { presetEverything } from "./presets/presetEverything.js";
import { presetMinimal } from "./presets/presetMinimal.js";
const template = base.createTemplate({
  about: {
    name: "TypeScript App"
  },
  presets: [presetMinimal, presetCommon, presetEverything],
  suggested: presetCommon
});
var template_default = template;
export {
  template_default as default,
  template
};
//# sourceMappingURL=template.js.map